DevToolPal
VI

Kiểm tra cú pháp địa chỉ email

Kiểm tra cú pháp một hoặc nhiều địa chỉ email, phát hiện lỗi gõ tên miền thường gặp và loại bỏ trùng lặp. Chỉ kiểm tra định dạng, không tra cứu hộp thư.

Chạy cục bộ, không bao giờ tải lên

Tùy chọn

Hiển thị

Địa chỉ email (mỗi dòng một địa chỉ)

0 ký tự · 0 B

Kiểm tra cú pháp

Kết quả sẽ hiện ở đây

Công cụ này làm gì

Công cụ này kiểm tra xem địa chỉ email có được viết đúng hay không. Dán một địa chỉ hoặc cả một danh sách, và mỗi địa chỉ sẽ được đánh dấu hợp lệ hoặc không hợp lệ kèm lý do, chẳng hạn thiếu @, hai dấu chấm liền nhau, tên miền không có dấu chấm hay có ký tự không được phép. Nó hữu ích khi dọn dẹp danh sách email trước khi nhập, kiểm tra quy tắc nhập liệu của biểu mẫu, hay tìm ra hàng bị lỗi duy nhất trong tệp CSV xuất ra.

Công cụ chỉ kiểm tra định dạng. Nó không liên hệ bất kỳ máy chủ thư nào, nên không thể biết hộp thư có tồn tại hay có nhận thư hay không.

Cách sử dụng

  1. Dán các địa chỉ vào ô đầu vào, mỗi dòng một địa chỉ. Dấu phẩy và dấu chấm phẩy cũng được dùng làm dấu phân cách, nên bạn có thể dán thẳng dòng To:.
  2. Kết quả xuất hiện ngay khi bạn gõ, kèm bản tóm tắt số địa chỉ hợp lệ và không hợp lệ.
  3. Dùng Hiển thị để liệt kê tất cả, chỉ địa chỉ hợp lệ hoặc chỉ địa chỉ không hợp lệ. Loại bỏ trùng lặp bỏ các địa chỉ lặp lại; tên miền được so sánh không phân biệt chữ hoa chữ thường.
  4. Nhấn Sao chép địa chỉ hợp lệ để sao chép danh sách sạch, mỗi dòng một địa chỉ.

Tên hiển thị cũng được xử lý: Bob Smith <bob@example.com> được kiểm tra như bob@example.com kèm ghi chú rằng tên đã bị bỏ.

Những gì được kiểm tra

  • Có đúng một @ (bên ngoài dấu nháy), và có nội dung ở cả hai bên.
  • Toàn bộ địa chỉ dài tối đa 254 ký tự và phần trước @ tối đa 64 ký tự.
  • Phần cục bộ dùng ký tự được phép, không có dấu chấm ở đầu, ở cuối hoặc hai dấu chấm liền nhau. Phần cục bộ có dấu nháy như "john doe"@example.org được chấp nhận kèm cảnh báo.
  • Tên miền có ít nhất hai nhãn, mỗi nhãn dài 1–63 ký tự gồm chữ cái, chữ số và dấu gạch ngang, không bắt đầu hay kết thúc bằng dấu gạch ngang, và có tên miền cấp cao nhất trông giống thật. Địa chỉ IP dạng admin@[192.168.0.1] được chấp nhận kèm cảnh báo.
  • Lỗi gõ thường gặp ở các tên miền phổ biến, như gmial.com hay qq.con, sẽ nhận gợi ý “có phải ý bạn là”.

Ví dụ

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

Câu hỏi thường gặp

› Công cụ có kiểm tra hộp thư có tồn tại không?

Không. Đây chỉ là kiểm tra cú pháp. Công cụ không tra cứu máy chủ thư của tên miền và không liên hệ với chúng, nên một địa chỉ có thể qua được bước kiểm tra này mà vẫn bị trả lại thư. Xác nhận hộp thư cần đến máy chủ, và cách kiểm tra đáng tin cậy duy nhất là gửi email xác nhận.

› Các địa chỉ có bị tải lên không?

Không. Mọi bước kiểm tra đều chạy trong trình duyệt, nên danh sách email của bạn không bao giờ rời khỏi thiết bị.

› Công cụ tuân theo những quy tắc nào?

Cú pháp địa chỉ trong RFC 5321 và RFC 5322, cộng với địa chỉ quốc tế hóa theo RFC 6531. Các dạng lỗi thời như chú thích bên trong địa chỉ bị từ chối vì hầu như không hệ thống thư nào chấp nhận chúng.

› Vì sao một địa chỉ hợp lệ lại bị gắn cảnh báo?

Một số địa chỉ hợp lệ nhưng có rủi ro: khả năng gõ sai như gmial.com, địa chỉ IP thay vì tên miền, phần cục bộ có dấu nháy, hoặc ký tự không phải ASCII mà một số máy chủ từ chối. Địa chỉ đó vẫn được tính là hợp lệ.